if(!$temp::hasBuiltMGPP)
{
	CreateMiniGameGui.delete();
	exec("./minigame++.gui");
	
	$Minigame::Teams = false;
	$Minigame::Autoteam = true;
	$Minigame::PlaysDropItem = true;
	$Minigame::FriendlyFire = false;
	$Minigame::Commondare = false;
	$Minigame::SuicideBombs = false;
	$Minigame::UseTeamSpawns = true;
	
	$Minigame::Points::FF = "-1";
	$Minigame::Points::FK = "-3";
	
	$temp::hasBuiltMGPP = true;
}

function clientCmdSendMGPPPrefs()
{
	echo("Sending MG++ Prefs");
	commandToServer('MGPPPrefs', $MiniGame::PlaysDropItem, $MiniGame::Teams, $Minigame::Autoteam, $Minigame::FriendlyFire, $Minigame::Points::FF, $Minigame::Points::FK, $Minigame::Commondare, $Minigame::SuicideBombs, $Minigame::UseTeamSpawns);
}

function clientCmdClearMGPPList()
{
	for(%a = CMG_PlayerList.rowCount() - 1; %a >= 0; %a--)
	{
		CMG_PlayerList.removeRow(%a);
	}
}

function clientCmdAddMGPPListRow(%playerName, %playerTeam)
{
	CMG_PlayerList.addRow(CMG_PlayerList.rowCount(), %playerTeam TAB %playerName);
}


package MGPPClientPackage
{
	function CreateMiniGameGui::clickCreate()
	{
		parent::clickCreate();
		clientCmdSendMGPPPrefs();
	}

	function EscapeFromGame()
	{
		clientCmdClearMGPPList();
		parent::escapeFromGame();
	}
};
activatePackage(MGPPClientPackage);