// Sorry for how unorganized shit is, my dear Ephi.

if(!$Temp::ServerMGPPRanOnce)
{
	$Temp::ServerMGPPRanOnce = true;
	brickSpawnPointData.spawnsTeam = 0;
	
	//exec("./events.cs");
	
	datablock fxDTSBrickData(brickTeam1SpawnPointData : brickSpawnPointData)
	{		
		uiName = "Team 1 Spawn";
		spawnsTeam = 1;
	};
	
	datablock fxDTSBrickData(brickTeam2SpawnPointData : brickSpawnPointData)
	{		
		uiName = "Team 2 Spawn";
		spawnsTeam = 2;
	};
}

function servercmdMGPPPrefs(%client, %drop, %teams, %autoteam, %FF, %FF_Point, %FK_Point, %commondare, %sbombs, %teamspawns)
{
	if(isObject(%client.minigame) && %client.minigame.owner == %client)
	{
		UpdateMGPPPrefs(%client.minigame, %drop, %teams, %autoteam, %FF, %FF_Point, %FK_Point, %commondare, %sbombs, %teamspawns);
	}
}

function UpdateMGPPPrefs(%minigame, %drop, %teams, %autoteam, %FF, %FF_Point, %FK_Point, %commondare, %sbombs, %teamspawns)
{
	// If Teams are Enabled..
	if(%minigame.MGPP_Teams)
	{
		// If Teams are being disabled..
		if(!%teams)
		{
			%minigame.schedule(50, "clearTeams");
		}
		else
		{
			// If AutoTeam will be enabled..
			if(!%minigame.MGPP_AutoTeam && %autoteam) { %minigame.schedule(50, "sortTeams"); }
			// If AutoTeam will be disabled..
			else if(%minigame.MGPP_AutoTeam && !%autoteam) { %minigame.schedule(50, "clearTeams"); }
		}
	}
	// If they aren't..
	else
	{
		// If AutoTeam will be on..
		if(%teams && %autoteam) { %minigame.schedule(50, "sortTeams"); }
	}
	
	%minigame.MGPP_DropItem = %drop;
	%minigame.MGPP_Teams = %teams;
	%minigame.MGPP_AutoTeam = %autoteam;
	%minigame.MGPP_FriendlyFire = %FF;
	
	%minigame.MGPP_Commondare = %commondare;
	%minigame.MGPP_SuicideBombs = %sbombs;
	%minigame.MGPP_TeamSpawns = %teamspawns;
	
	%minigame.MGPP_Points_FriendlyFire = %FF_Point;
	%minigame.MGPP_Points_FriendlyKill = %FK_Point;
	
	%minigame.updatePlayerNames();
}

function serverCmdTurncoatPlayer(%client, %playerName)
{
	if(isObject(%client.minigame) && %client.minigame.owner == %client)
	{
		if(%client.minigame.MGPP_Teams)
		{
			%subClient = findClientByName(%playerName);
			if(isObject(%subClient) && %subClient.minigame == %client.minigame)
			{
				if(!%subClient.myTeam)
				{
					%subClient.minigame.sortMember(%subClient);
				}
				else
				{
					%newTeam = (%subClient.myTeam == 2 ? 1 : 2);
					%subClient.minigame.turncoat(%newTeam, %subClient);
				}
			}
		}
	}
}

function serverCmdSoloPlayer(%client, %playerName)
{
	if(isObject(%client.minigame) && %client.minigame.owner == %client)
	{
		if(%client.minigame.MGPP_Teams)
		{
			%subClient = findClientByName(%playerName);
			if(isObject(%subClient) && %subClient.minigame == %client.minigame)
			{
				if(%subClient.myTeam != 0)
				{
					%subClient.minigame.turncoat(0, %subClient);
				}
			}
		}
	}
}

function serverCmdPoints(%client)
{
	for(%a = 0; isObject(%client.minigame.member[%a]); %a++)
	{
		%score[%client.minigame.member[%a].myTeam] += %client.minigame.member[%a].score;
	}
	
	messageClient(%client, '', "\c6Team 1:" SPC %score[1]);
	messageClient(%client, '', "\c6Team 2:" SPC %score[2]);
}

function MinigameSO::clearTeams(%mini)
{
	%mini.teamCount[0] = 0;
	%mini.teamCount[1] = 0;
	%mini.teamCount[2] = 0;
	
	for(%a = 0; isObject(%mini.member[%a]); %a++)
	{
		%client = %mini.member[%a];
		%client.myTeam = 0;
		%client.player.setShapeName(%client.name);
		%client.schedule(75, "WhichTeamAmIOn");
	}
	
	%mini.schedule(50, "updateOwnersList");
}

function MinigameSO::sortTeams(%mini)
{
	for(%a = 0; isObject(%mini.member[%a]); %a++)
	{
		if(%mini.teamCount[2] < %mini.teamCount[1])
		{
			%mini.turncoat(2, %mini.member[%a]);
		}
		else
		{
			%mini.turncoat(1, %mini.member[%a]);
		}
	}
}

function MinigameSO::sortMember(%mini, %client)
{
	if(%mini.MGPP_Teams)
	{
		if(%mini.teamCount[2] < %mini.teamCount[1])
		{
			%mini.turncoat(2, %client);
		}
		else
		{
			%mini.turncoat(1, %client);
		}
	}
	else
	{
		%mini.turncoat(0, %client);
	}
}

function MinigameSO::turncoat(%mini, %team, %client)
{
	if(isObject(%client) && %client.miniGame == %mini && (%team == 0 || %team == 1 || %team == 2))
	{
		if(%client.myTeam != %team)
		{
			%mini.teamCount[%client.myTeam]--;
			%mini.teamCount[%team]++;
			%client.myTeam = %team;
			%client.player.setShapeName(%client.name);
			%client.schedule(75, "WhichTeamAmIOn");
			%mini.schedule(50, "updateOwnersList");
		}
	}
}

function MinigameSO::updatePlayerNames(%mini)
{
	for(%a = 0; isObject(%mini.member[%a]); %a++)
	{
		if(isObject(%mini.member[%a].player))
		{
			%mini.member[%a].player.setShapeName(%mini.member[%a].name);
		}
	}
}

function MinigameSO::updateOwnersList(%mini)
{
	if(isObject(%mini.owner))
	{
		commandToClient(%mini.owner, 'ClearMGPPList');
		
		for(%a = 0; isObject(%mini.member[%a]); %a++)
		{
			switch(%mini.member[%a].myTeam)
			{
				case 0: %team = "S";
				case 1: %team = "T1";
				case 2: %team = "T2";
			}
			commandToClient(%mini.owner, 'AddMGPPListRow', %mini.member[%a].name, %team);
		}
	}
}

function getTeamSpawnPoint(%from, %for)
{
	for(%a = 0; isObject(%from.brickGroup.spawnBrick[%a]); %a++)
	{
		%brick = %from.brickGroup.spawnBrick[%a];
		
		if(%brick.getDatablock().spawnsTeam == %for.myTeam)
		{
			%spawnCount++;
			%spawn[%spawnCount] = %brick;
		}
	}
	
	if(%spawnCount)
	{
		%b2s = getRandom(1, %spawnCount);
		%trans = getWords(%spawn[%b2s].getTransform(), 0, 1) SPC (getWord(%spawn[%b2s].getTransform(), 2) - 1.3) SPC getWords(%spawn[%b2s].getTransform(), 3, 6);
		return %trans;
	}
	else
	{
		return "";
	}
}

function gameConnection::whichTeamAmIOn(%client)
{
	if(isObject(%client.minigame))
	{
		switch(%client.myTeam)
		{
			case 0: %team = "Solo";
			case 1: %team = "in Team 1";
			case 2: %team = "in Team 2";
		}
		commandToClient(%client, 'centerPrint', "<color:ffffff><just:left><font:impact:24>You are" SPC %team, 5);
	}
	return %client.myTeam;
}

package MGPPServerPackage
{
	function fxDTSBRick::onPlant(%brick)
	{
		parent::onPlant(%brick);
		
		if(isObject(%brick) && %brick.isPlanted && %brick.getDatablock().spawnsTeam)
		{
			%brick.getGroup().addSpawnBrick(%brick);
		}
	}
	
	function fxDTSBrick::onRemove(%brick)
	{
		if(isObject(%brick) && %brick.isPlanted() && %brick.getDatablock().spawnsTeam)
		{
			%brick.getGroup().removeSpawnBrick(%brick);
		}
		parent::onRemove(%brick);
	}
	
	function MinigameSO::pickSpawnPoint(%mini, %client)
	{
		if(%mini.MGPP_Teams && %mini.MGPP_TeamSpawns && %mini.useSpawnBricks)
		{
			// I tried to make my spawning system mimic Badspot's the best I could, yo.
			// Player Only.
			if(%mini.playersUseOwnBricks)
			{
				%tSpawn = getTeamSpawnPoint(%client, %client);
				
				if(%tSpawn !$= "")
				{
					return %tSpawn;
				}
				else
				{
					parent::pickSpawnPoint(%mini, %client);
				}
			}
			// Everyone Else.
			else if(%mini.useAllPlayersBricks)
			{
				for(%a = 0; isObject(%mini.member[%a]); %a++)
				{
					%tSpawn = getTeamSpawnPoint(%mini.member[%a], %client);
					if(%tSpawn !$= "")
					{
						%spawnCount++;
						%spawn[%spawnCount] = %tSpawn;
					}
				}
				
				if(%spawnCount)
				{
					return %spawn[getRandom(1, %spawnCount)];
				}
				else
				{
					parent::pickSpawnPoint(%mini, %client);
				}
			}
			// Owner Only.
			else
			{
				%tSpawn = getTeamSpawnPoint(%mini.owner, %client);
				
				if(%tSpawn !$= "")
				{
					return %tSpawn;
				}
				else
				{
					parent::pickSpawnPoint(%mini, %client);
				}
			}
		}
		else
		{
			parent::pickSpawnPoint(%mini, %client);
		}
	}
	
	function MinigameSO::endGame(%mini)
	{
		commandToClient(%mini.owner, 'ClearMGPPList');
		
		for(%a = 0; isObject(%mini.member[%a]); %a++)
		{
			%mini.member[%a].myTeam = "";
			%mini.member[%a].player.schedule(50, "setShapeName", %mini.member[%a].name);
		}
		
		parent::endGame(%mini);
	}

	function MinigameSO::reset(%mini, %client)
	{
		%mini.clearTeams();
		parent::reset(%mini, %client);
		%mini.schedule(50, "sortTeams");
		%mini.schedule(75, "updateOwnersList");
	}
	
	function MinigameSO::addMember(%mini, %client)
	{
		parent::addMember(%mini, %client);
		%mini.sortMember(%client);
		%mini.schedule(75, "updateOwnersList");
	}
	
	function MinigameSO::removeMember(%mini, %client)
	{
		parent::removeMember(%mini, %client);
		%mini.teamCount[%client.myTeam]--;
		%mini.updateOwnersList();
	}
	
	function Player::setShapeName(%player, %name)
	{
		if(%name !$= "")
		{
			if(isObject(%player.client.minigame))
			{
				if(%player.client.minigame.MGPP_teams)
				{
					if(%player.client.myTeam)
					{
						%tag = "[Team" SPC %player.client.myTeam @ "]";
					}
					else
					{
						%tag = "[Solo]";
					}
					
					%name = (%tag SPC %name);
				}
			}
		}
		
		parent::setShapeName(%player, %name);
	}
	
	function serverCmdSuicide(%client)
	{
		if(isObject(%client.minigame) && %client.minigame.MGPP_SuicideBombs)
		{
			if(isObject(%client.player) && ((%client.player.spawnTime + $Game::PlayerInvulnerabilityTime) < ($Sim::Time * 1000)))
			{
				%client.player.spawnExplosion(tankShellProjectile, 1.5, %client);
			}
			else
			{
				parent::serverCmdSuicide(%client);
			}
		}
		else
		{
			parent::serverCmdSuicide(%client);
		}
	}
	
	function gameConnection::onDeath(%client, %killerPlayer, %killer, %damageType, %unknownA)
	{
		if(%client.minigame.MGPP_DropItem)
		{
			if(%client.player.currTool > -1)
			{
				serverCmddropTool(%client, %client.player.currTool);
			}
		}
		
		parent::onDeath(%client, %killerPlayer, %killer, %damageType, %unknownA);
		
		if(isObject(%killer.minigame) && isObject(%client.minigame) && %client.minigame == %killer.minigame && %client != %killer)
		{
			%mini = %client.minigame;
			
			if(%mini.MGPP_Teams && %mini.MGPP_FriendlyFire)
			{
				if(%client.myTeam == %killer.myTeam && %client.myTeam != 0)
				{
					commandToClient(%killer, 'centerPrint', "<color:800000><just:left><font:impact:32>FRIENDLY KILL", 5);
					%offset = %mini.Points_KillPlayer * -1;
					%killer.incScore(%mini.MGPP_Points_FriendlyKill + %offset);
				}
			}
		}
	}
	
	function player::damage(%this, %obj, %pos, %damage, %damageType)
	{
		if(isObject(%obj) && (isObject(%this.client) && (isObject(%obj.client) || %obj.getType() & $typeMasks::vehicleObjectType)))
		{
			%atkr = ((%obj.getType() & $typeMasks::vehicleObjectType) && isObject(%obj.getControllingClient())) ? %obj.getControllingClient() : %obj.client;
			if(%this != %obj && %this.client != %atkr)
			{
				if(isObject(%this.client.minigame) && isObject(%atkr.minigame) && %this.client.minigame == %atkr.minigame)
				{
					%vctm = %this.client;
					%atkr = ((%this.getType() & $typeMasks::vehicleObjectType) && isObject(%obj.getControllingClient())) ? %obj.getControllingClient() : %obj.client;
					%mini = %vctm.minigame;
					
					if(%mini.MGPP_Teams)
					{
						if(%atkr.myTeam == %vctm.myTeam && %vctm.myTeam != 0)
						{
							if(%mini.MGPP_FriendlyFire)
							{
								commandToClient(%atkr, 'centerPrint', "<just:left><font:impact:32>FRIENDLY FIRE", 3);
								%atkr.incScore(%mini.MGPP_Points_FriendlyFire);
							}
							else
							{
								return;
							}
						}
					}
				}
			}
		}
		parent::damage(%this, %obj, %pos, %damage, %damageType);
	}
	
	function armor::onMount(%this, %player, %vehicle, %slot)
	{
		parent::onMount(%this, %player, %vehicle, %slot);
		
		if(%player.isMounted() && isObject(%player.client) && isObject(%player.client.minigame))
		{
			if(isObject(%vehicle.getControllingClient()) && isObject(%vehicle.getControllingClient().minigame))
			{
				%driver = %vehicle.getControllingClient();
				%client = %player.client;
				
				if(%driver != %client && %driver.minigame == %client.minigame)
				{
					%mini = %client.minigame;
					if(%mini.MGPP_Teams && !%mini.MGPP_Commondare && (%client.myTeam != %driver.myTeam || %client.myTeam == 0 || %driver.myTeam == 0))
					{
						messageClient(%client, '', "You have been beat to this vehicle by" SPC (%client.myTeam > 0 ? "the other team" : "another person") @ ".");
						%client.player.getDatablock().schedule(50, "doDismount", %client.player);
					}
				}
			}
		}
	}
	
	function ProjectileData::onCollision(%this, %proj, %col, %int, %pos, %dir, %pos2)
	{
		if(%col.getType() & $TypeMasks::VehicleObjectType)
		{
			%driver = %col.getControllingClient();
			%client = %proj.client;
			
			if(isObject(%client) && isObject(%client.minigame) && isObject(%driver) && isObject(%driver.minigame) && %client.minigame == %driver.minigame)
			{
				if(%client != %driver)
				{
					%mini = %driver.minigame;
					
					if(%mini.MGPP_Teams)
					{
						if(%client.myTeam == %driver.myTeam && %driver.myTeam != 0)
						{
							if(%mini.MGPP_FriendlyFire)
							{
								commandToClient(%client, 'centerPrint', "<just:left><font:impact:32>FRIENDLY VEHICLE FIRE", 3);
								%atkr.incScore(%mini.MGPP_Points_FriendlyFire);
							}
							else
							{
								return;
							}
						}
					}
				}
			}
		}
		parent::onCollision(%this, %proj, %col, %int, %pos, %dir, %pos2);
	}
	
	function ProjectileData::RadiusDamage(%this, %proj, %col, %int, %pos, %damage)
	{
		if(%col.getType() & $TypeMasks::VehicleObjectType)
		{
			%driver = %col.getControllingClient();
			%client = %proj.client;
			
			if(isObject(%client) && isObject(%client.minigame) && isObject(%driver) && isObject(%driver.minigame) && %client.minigame == %driver.minigame)
			{
				if(%client != %driver)
				{
					%mini = %driver.minigame;
					
					if(%mini.MGPP_Teams)
					{
						if(%client.myTeam == %driver.myTeam && %driver.myTeam != 0)
						{
							if(!%mini.MGPP_FriendlyFire)
							{
								return;
							}
						}
					}
				}
			}
		}
		else if(%col.getType() & $TypeMasks::PlayerObjectType)
		{
			%player = %col;
			if(isObject(%proj.client) && isObject(%player.client) && isObject(%player.client.minigame) && isObject(%proj.client.minigame) && %player.client.minigame == %proj.client.minigame)
			{
				%atkr = %proj.client;
				%vctm = %player.client;
				%mini = %vctm.minigame;
				
				if(%vctm != %atkr)
				{
					if(%mini.MGPP_Teams)
					{
						if(%atkr.myTeam == %vctm.myTeam && %vctm.myTeam != 0)
						{
							if(!%mini.MGPP_FriendlyFire)
							{
								return;
							}
							else
							{
								commandToClient(%atkr, 'centerPrint', "<just:left><font:impact:32>FRIENDLY FIRE", 3);
								%atkr.incScore(%mini.MGPP_Points_FriendlyFire);
							}
						}
					}
				}
			}
		}
		parent::RadiusDamage(%this, %proj, %col, %int, %pos, %damage);
	}
	
	function ProjectileData::RadiusImpulse(%this, %proj, %col, %int, %dir, %vel, %bool, %x)
	{
		if(%col.getType() & $TypeMasks::VehicleObjectType)
		{
			%driver = %col.getControllingClient();
			%client = %proj.client;
			
			if(isObject(%client) && isObject(%client.minigame) && isObject(%driver) && isObject(%driver.minigame) && %client.minigame == %driver.minigame)
			{
				if(%client != %driver)
				{
					%mini = %driver.minigame;
					
					if(%mini.MGPP_Teams)
					{
						if(%client.myTeam == %driver.myTeam && %driver.myTeam != 0)
						{
							if(!%mini.MGPP_FriendlyFire)
							{
								return;
							}
						}
					}
				}
			}
		}
		else if(%col.getType() & $TypeMasks::PlayerObjectType)
		{
			%player = %col;
			if(isObject(%proj.client) && isObject(%player.client) && isObject(%player.client.minigame) && isObject(%proj.client.minigame) && %player.client.minigame == %proj.client.minigame)
			{
				%atkr = %proj.client;
				%vctm = %player.client;
				%mini = %vctm.minigame;
				
				if(%vctm != %atkr)
				{
					if(%mini.MGPP_Teams)
					{
						if(%atkr.myTeam == %vctm.myTeam && %vctm.myTeam != 0)
						{
							if(!%mini.MGPP_FriendlyFire)
							{
								return;
							}
						}
					}
				}
			}
		}
		parent::RadiusImpulse(%this, %proj, %col, %int, %dir, %vel, %bool);
	}
	
	function ProjectileData::impactImpulse(%this, %proj, %col, %pos)
	{
		if(%col.getType() & $TypeMasks::VehicleObjectType)
		{
			%driver = %col.getControllingClient();
			%client = %proj.client;
			
			if(isObject(%client) && isObject(%client.minigame) && isObject(%driver) && isObject(%driver.minigame) && %client.minigame == %driver.minigame)
			{
				if(%client != %driver)
				{
					%mini = %driver.minigame;
					
					if(%mini.MGPP_Teams)
					{
						if(%client.myTeam == %driver.myTeam && %driver.myTeam != 0)
						{
							if(!%mini.MGPP_FriendlyFire)
							{
								return;
							}
						}
					}
				}
			}
		}
		else if(%col.getType() & $TypeMasks::PlayerObjectType)
		{
			%player = %col;
			if(isObject(%proj.client) && isObject(%player.client) && isObject(%player.client.minigame) && isObject(%proj.client.minigame) && %player.client.minigame == %proj.client.minigame)
			{
				%atkr = %proj.client;
				%vctm = %player.client;
				%mini = %vctm.minigame;
				
				if(%vctm != %atkr)
				{
					if(%mini.MGPP_Teams)
					{
						if(%atkr.myTeam == %vctm.myTeam && %vctm.myTeam != 0)
						{
							if(!%mini.MGPP_FriendlyFire)
							{
								return;
							}
						}
					}
				}
			}
		}
		parent::impactImpulse(%this, %proj, %col, %pos);
	}
	
	
	function serverCmdTeamMessageSent(%client, %text)
	{
		if(isObject(%client.minigame) && %client.minigame.MGPP_Teams)
		{
			if(%client.myTeam > 0)
			{
				%text = stripTrailingSpaces(StripMLControlChars(%text));
				
				if(%text !$= "")
				{
					echo("(T" @ %client.myTeam @ ")" SPC %client.name @ ":" SPC %text);
					for(%a = 0; isObject(%client.minigame.member[%a]); %a++)
					{
						%subClient = %client.minigame.member[%a];
						if(%subClient.myTeam == %client.myTeam)
						{
							messageClient(%subClient, '', '\c7%1\c3%2\c7%3<color:00FFFF>: %4', %client.clanPrefix, %client.name, %client.clanSuffix, %text);
						}
					}
				}
			}
			else
			{
				messageClient(%client, '', "\c5Team chat disabled - You are not in a team.");
			}
		}
		else
		{
			parent::serverCmdTeamMessageSent(%client, %text);
		}
	}
};
activatePackage(MGPPServerPackage);